#ifndef PARSER_H
#define PARSER_H

#include <QString>
#include <QVariant>
#include <vector>
#include <functional>


using PredicateList = std::vector<	std::function<
										std::optional<std::string>
										(int& idx, const QString& line)
									>>;

class ICommand;

class CommandData
{
public:
	CommandData(const QString& line, PredicateList argp, bool repeatLastPredicate = false);
	int size() const;
	const std::optional<std::string>& operator[](int idx);
	std::string joinString(char sep) const;

private:
	std::vector<std::optional<std::string>> m_l;
};

#endif // PARSER_H
