#ifndef ICOMMANDPRIV_H
#define ICOMMANDPRIV_H

#include "IRC.h"
#include "IWin/IWinStatus.h"
#include "MdiManager.h"
#include "IRCClient/Commands.h"
#include <string>

constexpr char CTCPflag { 0x01 };

struct ICommandPriv
{
	ICommandPriv(IRC& connection_, IWinStatus& status_);

	IRC& connection;
	IWinStatus& status;

	void cmd_kick(const std::string& channel, const std::string& nickname, const std::string& reason);
	void cmd_privmsg(const std::string& target, const std::string& message);
	void cmd_notice(const std::string& target, const std::string& message);

	void cmd_ctcp(const std::string& target, const std::string& command, const std::string& message);
	void cmd_me(const std::string& target, const std::string& message);
};

#endif // ICOMMANDPRIV_H
