#include "ICommand/ICommandPriv.h"
#include <fmt/format.h>

using namespace Command::Internal;
using namespace Command::IRC;

void ICommandPriv::cmd_ctcp(const std::string& target, const std::string& command, const std::string& message)
{
	QString qmsg = QString::fromStdString(command);
	if (!message.empty())
		qmsg += " " + QString::fromStdString(message);

	status.printToActive(PrintType::CTCP, QStringLiteral("Sending [CTCP %1] to %2")
														.arg(qmsg)
														.arg(target.c_str()));

	const std::string out = fmt::format("{} {} :{}{}{}",
										PRIVMSG,
										target,
										CTCPflag,
										qmsg.toStdString(),
										CTCPflag);
	connection.raw(out);
}
