#include "ICommand/ICommandPriv.h"
#include "IRCClient/IRCChannel.h"
#include <fmt/format.h>

using namespace Command::IRC;

void ICommandPriv::cmd_me(const std::string& target, const std::string& message)
{
	IWin* cw = status.getActiveWindow();

	std::string mynick = connection.getNickname();
	if (cw->getType() == IWin::Type::Channel) {
		auto channel = connection.getChannel( cw->getButtonText().toStdString() );
		auto& member = channel->getMember(mynick)->get();
		const std::string& mymodes = member.modes();

		if (!mymodes.empty()) {
			std::string pf = connection.toMemberPrefix(mymodes);
			if (!pf.empty())
				mynick.insert(mynick.begin(), pf[0]);
		}
	}
	const std::string out = fmt::format("{} {} :{}ACTION {}{}",
										PRIVMSG,
										target.c_str(),
										CTCPflag,
										message.c_str(),
										CTCPflag);
	connection.raw(out);

	if (!target.empty() && !message.empty())
		cw->print(PrintType::Action, QStringLiteral("%1 %2")
						.arg(mynick.c_str())
						.arg(message.c_str()));
}
