#ifndef IRCERROR_H
#define IRCERROR_H

#include <system_error>
#include <string>

enum class IRCError
{
	NoError,

	NotConnected,
	AlreadyConnected,

	CannotResolveAddress,
	BrokenPipe,
	ConnectionAborted,
	ConnectionRefused,
	ConnectionReset,
	HostUnreachable,
	NetworkDown,
	NetworkReset,
	NetworkUnreachable,
	NoDescriptors,
	TimedOut,
	EndOfFile,

	SSL_SelfSigned,
	SSL_CN_Mismatch,
	SSL_CN_Missing,
	SSL_CN_WildcardIllegal,
	SSL_NotYetValid,
	SSL_Expired,

	CannotChangeWhenConnected,
	HostNotSet,
	PortNotSet,
	IdentNotSet,
	NicknameNotSet,
	RealnameNotSet,

	DCC_NotATarget,
	DCC_TimedOut,

	UnhandledException
};

std::string IRCErrorToString(IRCError e);
IRCError SystemErrorToIRCError(const std::system_error& e);

#endif // IRCERROR_H
