#ifndef IRCMEMBER_H
#define IRCMEMBER_H

#include "IRCPrefix.h"
#include <vector>
#include <memory>
#include <string>

class IRCChannel;

class IRCMember
{
public:
	explicit IRCMember(const IRCPrefix& prefix);
	explicit IRCMember(const std::string& nickname);

	const IRCPrefix& prefix() const;
	void setPrefix(const IRCPrefix& prefix);
	const std::vector<std::shared_ptr<IRCChannel>>& channels();
	void addChannel(std::shared_ptr<IRCChannel> channel);
	void delChannel(std::shared_ptr<IRCChannel> channel);

	void setNickname(const std::string& nickname);

private:
	IRCPrefix m_prefix;
	std::vector<std::shared_ptr<IRCChannel>> m_channels;
};

#endif // IRCMEMBER_H
