#ifndef ERROR_H
#define ERROR_H

#include <string>

namespace Builtin::Error {
[[noreturn]] void throwInsufficientParameters(const std::string& fname, size_t given, size_t required);
[[noreturn]] void throwNotAString(const std::string& fname, int paramPos);
[[noreturn]] void throwNotANumber(const std::string& fname, int paramPos);
[[noreturn]] void throwNotAWholeNumber(const std::string& fname, int paramPos);
[[noreturn]] void throwNotADialogHandle(const std::string& fname, int paramPos);
[[noreturn]] void throwNotAMap(const std::string& fname, int paramPos);
[[noreturn]] void throwNotAList(const std::string& fname, int paramPos);
[[noreturn]] void throwIndexOutOfRange(const std::string& fname, int paramPos);
[[noreturn]] void throwNotAReference(const std::string& fname, int paramPos);
[[noreturn]] void throwNegativeInputUndefined(const std::string& fname);
[[noreturn]] void throwNumberMustBePositive(const std::string& fname, int paramPos);
}

#endif // ERROR_H
