#ifndef MANAGERLISTMODEL_H
#define MANAGERLISTMODEL_H

#include <QAbstractListModel>
#include <QVector>

class ManagerListModel : public QAbstractListModel
{
	Q_OBJECT

public:
	void addPath(const QString& path);
	void delPath(const QString& path);
	QModelIndex pathIndex(const QString& path);

	void markWarning(const QString& entry);
	void unmarkWarning(const QString& entry);

	QVariant data(const QModelIndex& index, int role = Qt::DisplayRole) const override;
	int rowCount(const QModelIndex& parent = QModelIndex()) const override;

private:
	int findEntry(const QString& entry) const;
	bool isWarning(int idx) const;
	QStringList m_list;
	QVector<int> m_warnings; // entries contain indexes of m_list that is marked with warning.
};

#endif // MANAGERLISTMODEL_H
