#ifndef SCRIPTEXCEPTION_H
#define SCRIPTEXCEPTION_H

#include <exception>
#include <string>

class ScriptException : public std::exception
{
    friend class Script;
    std::pair<int,int> m_linecol;
    std::string m_originalMessage;
    std::string m_message;
    void setMessage();
public:
    explicit ScriptException(const std::string& message);
    ScriptException(std::pair<int,int> linecol, const std::string& message);
    ScriptException(std::pair<int,int> linecol, const ScriptException& ScriptException);

    const char* what() const noexcept override;
};
#endif // SCRIPTEXCEPTION_H
