#ifndef VALUEEXTRACT_H
#define VALUEEXTRACT_H

#include "ValueHolder.h"
#include <string>

class ValueExtract
{
public:
	explicit ValueExtract(ValueHolder& val);
	ValueExtract(const ValueExtract&) = delete;
	ValueExtract(ValueExtract&&) = delete;
	~ValueExtract() = default;

	ValueExtract& operator=(ValueExtract&) = delete;

	bool isVoid() const;
	int toInt() const;
	double toReal() const;
	bool toBool() const;
	std::string& toString();
	ValueArray& toMap();

private:
	ValueHolder& value;
};

#endif // VALUEEXTRACT_H
